%define major	1
%define libname	%mklibname dxfrw %{major}
%define devname	%mklibname dxfrw -d

# comment out if not pre release
#define prel	rc1

# rel for bumping
%define rel	4

Name:		libdxfrw
Summary:	Library to read dwg and read/write dxf files
Version:	2.2.0
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		System/Libraries
Url:		https://github.com/LibreCAD/libdxfrw
Source0:	https://github.com/LibreCAD/%{name}/archive/LC%{version}%{?prel:-%prel}/%{name}-LC%{version}%{?prel:-%prel}.tar.gz
Patch0:     libdxfrw-cmake-4.0.patch
# Upstream patches
Patch1:		0001-Check-object-map-section-checksum.patch
Patch2:		0002-Introduce-reader-of-AC1032-format.patch
Patch3:		0003-Fix-object-map-section-parsing-for-AC1032-format.patch
Patch4:		0004-AC1032-format-skip-non-existant-layers.patch
Patch5:		0005-DRW_Dimstyle-parseDWG-specified-override.patch
Patch6:		0006-DRW_Dimstyle-parseDWG-specified-override.patch
Patch7:		0007-updated-gitignore-cmake-generated-files.patch
Patch8:		0008-LibreCAD-PR-1551-340-Dimstyle-field.patch
Patch9:		0009-C-14-support.patch
Patch10:	0010-Add-resolve-Dimension-measure-value-code-42.patch
Patch11:	0011-if-statement-removal-79.patch
BuildRequires:	cmake

%description
c++ library to read/write dxf files in binary and ascii form
and to read dwg form.

%package -n %{libname}
Summary:	Library to read dwg and read/write dxf files
Group:		System/Libraries

%description -n %{libname}
c++ library to read/write dxf files in binary and ascii form
and to read dwg form.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%package -n dwg2dxf
Summary:	Program to convert dwg/dxf to dxf (ascii and binary)
Group:		Graphics/Editors and Converters

%description -n dwg2dxf
This package contains the dwg2dxf tool to convert dwg/dxf files
to dxf (ascii and binary) file.

%prep
%autosetup -n %{name}-LC%{version}%{?prel:-%prel} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n dwg2dxf
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/dwg2dxf
%{_mandir}/man1/dwg2dxf.1*

%files -n %{libname}
%doc AUTHORS NEWS README.md
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/


%changelog
* Sat Jul 05 2025 aurr <aurr> 2.2.0-4.mga10
+ Revision: 2246838
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sat Feb 15 2025 wally <wally> 2.2.0-3.mga10
+ Revision: 2148952
- add latest changes from upstream git

* Fri Feb 14 2025 daviddavid <daviddavid> 2.2.0-2.mga10
+ Revision: 2148792
- backport upstream patch to add c++14 support

* Sat Dec 16 2023 daviddavid <daviddavid> 2.2.0-1.mga10
+ Revision: 2018284
- new version: 2.2.0 (to matches with current librecad 2.2.0 mga#32629)

* Wed Jun 08 2022 ns80 <ns80> 1.1.0-0.rc1.1.mga9
+ Revision: 1863557
- new version 1.1.0-rc1 (mga#30521)

* Sun Apr 24 2022 wally <wally> 1.0.1^git20220109-1.mga9
+ Revision: 1852995
- update to latest git snapshot

* Thu Apr 21 2022 ns80 <ns80> 1.0.1-3.mga9
+ Revision: 1852330
- fix CVE-2021-21898, CVE-2021-21899, CVE-2021-21900, CVE-2021-45343 (mga#29720)

* Thu Mar 17 2022 umeabot <umeabot> 1.0.1-2.mga9
+ Revision: 1795354
- Mageia 9 Mass Rebuild

* Sun Aug 30 2020 wally <wally> 1.0.1-1.mga8
+ Revision: 1620009
- switch to librecad fork
- new version 1.0.1
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.6.3-6.mga8
+ Revision: 1514057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.3-5.mga7
+ Revision: 1298817
- Mageia 7 Mass Rebuild

* Sun Jan 08 2017 wally <wally> 0.6.3-4.mga6
+ Revision: 1080616
- add patch to apply changes from librecad 2.1.3

* Wed Aug 17 2016 wally <wally> 0.6.3-3.mga6
+ Revision: 1046578
- add patch to apply changes from librecad 2.1.0

* Mon Feb 15 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 960952
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 wally <wally> 0.6.3-1.mga6
+ Revision: 895406
- new version 0.6.3

* Sun Aug 23 2015 wally <wally> 0.6.1-1.mga6
+ Revision: 868288
- imported package libdxfrw

